Package picard.sam.SamErrorMetric

# Class ReadBaseStratification.FlowCellYStratifier

java.lang.Object
picard.sam.SamErrorMetric.ReadBaseStratification.FlowCellYStratifier

All Implemented Interfaces:
  `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`

Enclosing class:
  `ReadBaseStratification`

public static class ReadBaseStratification.FlowCellYStratifier extends Object
Stratifies base into their read's Y coordinate which is parsed from the read-name.

## Constructor Summary

Constructors
Constructor
Description
`FlowCellYStratifier()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getSuffix()`
`Integer`
`stratify(htsjdk.samtools.SAMRecord sam)`
`Integer`
`stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FlowCellYStratifier

public FlowCellYStratifier()

## Method Details

### stratify

public Integer stratify(htsjdk.samtools.SAMRecord sam)

### getSuffix

public String getSuffix()

### stratify

public Integer stratify(htsjdk.samtools.util.SamLocusIterator.RecordAndOffset recordAndOffset, htsjdk.samtools.reference.SamLocusAndReferenceIterator.SAMLocusAndReference locusInfo)

Specified by:
  `stratify` in interface `ReadBaseStratification.RecordAndOffsetStratifier<Integer>`